Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 522098 - Initscript for vsftpd daemon is not LSB compliant
Summary: Initscript for vsftpd daemon is not LSB compliant
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vsftpd
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 533458
TreeView+ depends on / blocked
 
Reported: 2009-09-09 13:29 UTC by Aleš Mareček
Modified: 2014-11-09 22:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 533458 (view as bug list)
Environment:
Last Closed: 2009-09-15 13:23:42 UTC
Type: ---


Attachments (Terms of Use)

Description Aleš Mareček 2009-09-09 13:29:47 UTC
Description of problem:
According to https://fedoraproject.org/wiki/FCNewInit/Initscripts
vsftpd init script returns 1 after second start. It is expected that vsftpd returns exit code 0.

Version-Release number of selected component (if applicable):
vsftpd-2.2.0-2.fc12

How reproducible:
always


Steps to Reproduce:
1. $ service vsftpd stop
2. $ service vsftpd start
3. $ echo $?
(prints 0)
4. $ service vsftpd start
5. $ echo $?
(prints 1)

Actual results:
Exit code 1

Expected results:
Exit code 0


Additional info:

Comment 1 Jiri Skala 2009-09-15 13:23:42 UTC
Described issue is fixed. The initscript is modified in accordance with following document:

https://fedoraproject.org/wiki/FCNewInit/Initscripts

especially possible parameters try-restart and force-reload.


Note You need to log in before you can comment on or make changes to this bug.